---
layout: docs
page_title: 'nomad volume init command reference'
description: |
  The `nomad volume init` command generates an example storage volume specification.
---

# `nomad volume init` command reference

The `volume init` command is used to create an example volume specification
file that can be used as a starting point to customize further.

## Usage

```plaintext
nomad volume init
```

## Init options

- `-json`: Create an example JSON volume specification.

- `-type`: Create an example for a specific type of volume. Use either "csi" or
  "host", defaults to "csi".

## Examples

Create an example volume specification:

```shell-session
$ nomad volume init
Example volume specification written to volume.hcl
```
